<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment-with-locales.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment-range/4.0.2/moment-range.js"></script>

    <script src="./js/dist/pearson-pagination.js"></script>
    <style>
      pearson-pagination {
        display:block;
        margin:1em;
      }
    </style>
  </head>

  <body>
  <div style="height:1000px; padding-top:500px;">
    <pearson-pagination text="Pages" lastpage="120" ellipsisat="8" ></pearson-pagination>
  </div>
  <script>
    const element = document.querySelector('pearson-pagination');
    element.addEventListener('nextPage', event => {

    });

    element.addEventListener('prevPage', event => {

    });

    element.addEventListener('newPage', event => {
      console.log('new')
    });

  </script>
  </body>
</html>
